Debian Bug report logs - #619827
cx88-blackbird driver hangs when used

version graph

Package: linux-source-2.6.38; Maintainer for linux-source-2.6.38 is (unknown);

Reported by: Huber Andreas <hobrom@corax.at>

Date: Sun, 27 Mar 2011 15:09:01 UTC

Severity: important

Tags: fixed-upstream, upstream

Found in version linux-2.6/2.6.38-1

Fixed in version linux-2.6/2.6.39-2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=31962

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Sun, 27 Mar 2011 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Huber Andreas <hobrom@corax.at>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 27 Mar 2011 15:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Huber Andreas <hobrom@corax.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Sun, 27 Mar 2011 17:06:10 +0200
Package: linux-source-2.6.38
Version: 2.6.38-1
Severity: important
Tags: upstream


[Symptom]
Processes that try to open a cx88-blackbird driven MPEG device will hang up.

[Cause]
Nestet mutex_locks (which are not allowed) result in a deadlock.

[Details]
There has been resent work on removing BKL (BigKernelLock) calls from kernel code. (see http://kernelnewbies.org/BigKernelLock) This was not properly done for the cx88-blackbird driver:

Source-File: drivers/media/video/cx88/cx88-blackbird.c
Function: int mpeg_open(struct file *file)
Problem: the calls to  drv->request_acquire(drv); and drv->request_release(drv); will hang because they try to lock a mutex that has already been locked by a previouse call to mutex_lock(&dev->core->lock) ...

1050 static int mpeg_open(struct file *file)
1051 {
[...]
1060         mutex_lock(&dev->core->lock);         // MUTEX LOCKED !!!!!!!!!!!!!!!!
1061
1062         /* Make sure we can acquire the hardware */
1063         drv = cx8802_get_driver(dev, CX88_MPEG_BLACKBIRD);
1064         if (drv) {
1065                 err = drv->request_acquire(drv);  // HANGS !!!!!!!!!!!!!!!!!!!
1066                 if(err != 0) {
1067                         dprintk(1,"%s: Unable to acquire hardware, %d\n", __func__, err);
1068                         mutex_unlock(&dev->core->lock);;
1069                         return err;
1070                 }
1071         }
[...]

Here's the relevant kernel log extract (Linux version 2.6.38-1-amd64 (Debian 2.6.38-1)) ...

Mar 24 21:25:10 xen kernel: [  241.472067] INFO: task v4l_id:1000 blocked for more than 120 seconds.
Mar 24 21:25:10 xen kernel: [  241.478845] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Mar 24 21:25:10 xen kernel: [  241.482412] v4l_id          D ffff88006bcb6540     0  1000      1 0x00000000
Mar 24 21:25:10 xen kernel: [  241.486031]  ffff88006bcb6540 0000000000000086 ffff880000000001 ffff88006981c380
Mar 24 21:25:10 xen kernel: [  241.489694]  0000000000013700 ffff88006be5bfd8 ffff88006be5bfd8 0000000000013700
Mar 24 21:25:10 xen kernel: [  241.493301]  ffff88006bcb6540 ffff88006be5a010 ffff88006bcb6540 000000016be5a000
Mar 24 21:25:10 xen kernel: [  241.496766] Call Trace:
Mar 24 21:25:10 xen kernel: [  241.500145]  [<ffffffff81321c4a>] ? __mutex_lock_common+0x127/0x193
Mar 24 21:25:10 xen kernel: [  241.503630]  [<ffffffff81321d82>] ? mutex_lock+0x1a/0x33
Mar 24 21:25:10 xen kernel: [  241.507145]  [<ffffffffa09dd155>] ? cx8802_request_acquire+0x66/0xc6 [cx8802]
Mar 24 21:25:10 xen kernel: [  241.510699]  [<ffffffffa0aab7f2>] ? mpeg_open+0x7a/0x1fc [cx88_blackbird]
Mar 24 21:25:10 xen kernel: [  241.514279]  [<ffffffff8123bfb6>] ? kobj_lookup+0x139/0x173
Mar 24 21:25:10 xen kernel: [  241.517856]  [<ffffffffa062d5fd>] ? v4l2_open+0xb3/0xdf [videodev]


regards
Andi Huber

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.36-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-source-2.6.38 depends on:
ii  binutils                      2.20.1-16  The GNU assembler, linker and bina
ii  bzip2                         1.0.5-6    high-quality block-sorting file co

Versions of packages linux-source-2.6.38 recommends:
ii  gcc                           4:4.4.5-1  The GNU C compiler
ii  libc6-dev [libc-dev]          2.11.2-10  Embedded GNU C Library: Developmen
ii  make                          3.81-8     An utility for Directing compilati

Versions of packages linux-source-2.6.38 suggests:
pn  kernel-package            <none>         (no description available)
ii  libncurses5-dev [ncurses- 5.8+20110307-1 developer's libraries for ncurses
pn  libqt3-mt-dev             <none>         (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Sun, 27 Mar 2011 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Huber <hobrom@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 27 Mar 2011 16:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 619827@bugs.debian.org (full text, mbox):

From: Andreas Huber <hobrom@gmx.at>
To: 619827@bugs.debian.org
Subject: [linux-dvb] cx88-blackbird broken (since 2.6.37) --> Bug 31962
Date: Sun, 27 Mar 2011 18:13:30 +0200
[Message part 1 (text/html, inline)]

Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=31962'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 27 Mar 2011 16:21:05 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 29 Mar 2011 02:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Tue, 29 Mar 2011 03:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 29 Mar 2011 03:39:02 GMT) Full text and rfc822 format available.

Message #19 received at 619827@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Huber Andreas <hobrom@corax.at>, 619827@bugs.debian.org
Subject: Re: Bug#619827: linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Tue, 29 Mar 2011 03:51:04 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2011-03-27 at 17:06 +0200, Huber Andreas wrote:
> Package: linux-source-2.6.38
> Version: 2.6.38-1
> Severity: important
> Tags: upstream
> 
> 
> [Symptom]
> Processes that try to open a cx88-blackbird driven MPEG device will hang up.
> 
> [Cause]
> Nestet mutex_locks (which are not allowed) result in a deadlock.

Could you test whether this patch fixes the problem?  Instructions for
rebuilding the kernel package are at
<http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[0001-cx88-Try-to-fix-locking-of-sub-driver-operations-and.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Tue, 29 Mar 2011 03:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 29 Mar 2011 03:39:06 GMT) Full text and rfc822 format available.

Message #24 received at 619827@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 619827@bugs.debian.org
Subject: Re: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Mon, 28 Mar 2011 22:38:30 -0500
retitle 619827 cx88-blackbird driver hangs when used
quit

Hi,

Ben Hutchings wrote:

> tags 619827 + moreinfo
> thanks

What information would you like?

Probably the upstream report at
<https://bugzilla.kernel.org/show_bug.cgi?id=31962> is the best
place to continue this.




Changed Bug title to 'cx88-blackbird driver hangs when used' from 'linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 29 Mar 2011 03:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Tue, 29 Mar 2011 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 29 Mar 2011 03:48:03 GMT) Full text and rfc822 format available.

Message #31 received at 619827@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 619827@bugs.debian.org
Subject: Re: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Mon, 28 Mar 2011 22:45:14 -0500
Jonathan Nieder wrote:

> What information would you like?

Messages crossed.  Sorry for the nonsense; I'm happy to see a
proposed patch (and I should have just waited).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Wed, 30 Mar 2011 22:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Huber <hobrom@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Mar 2011 22:15:05 GMT) Full text and rfc822 format available.

Message #36 received at 619827@bugs.debian.org (full text, mbox):

From: Andreas Huber <hobrom@gmx.at>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 619827@bugs.debian.org
Subject: Re: Bug#619827: linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Wed, 30 Mar 2011 23:50:19 +0200
Ok, thanks!

On 30.03.2011 23:43, Ben Hutchings wrote:
> All mail regarding Debian bugs should be cc'd to the bug address (in
> this case, 619827@bugs.debian.org).
>
> I am not going to spend more time trying to fix this, as I don't know
> the media/DVB system well and do not have the hardware in question.  I
> will forward your information to the upstream developers.
>
> Ben.
>





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Fri, 01 Apr 2011 06:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Huber <hobrom@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Apr 2011 06:30:04 GMT) Full text and rfc822 format available.

Message #41 received at 619827@bugs.debian.org (full text, mbox):

From: Andreas Huber <hobrom@gmx.at>
To: 619827@bugs.debian.org
Subject: Re: Bug#619827: linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Fri, 01 Apr 2011 08:26:40 +0200
Continuing Ben's work, I fixed all remaining issues.

Patch was uploaded to https://bugzilla.kernel.org/show_bug.cgi?id=31962

Everything works fine for me now.

regards
Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Sat, 02 Apr 2011 14:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Huber <hobrom@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Apr 2011 14:33:08 GMT) Full text and rfc822 format available.

Message #46 received at 619827@bugs.debian.org (full text, mbox):

From: Andreas Huber <hobrom@gmx.at>
To: 619827@bugs.debian.org
Subject: Re: Bug#619827: linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Sat, 02 Apr 2011 16:28:51 +0200
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Sat, 02 Apr 2011 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Apr 2011 15:21:06 GMT) Full text and rfc822 format available.

Message #51 received at 619827@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Andreas Huber <hobrom@gmx.at>, 619827@bugs.debian.org
Subject: Re: Bug#619827: linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Sat, 02 Apr 2011 16:18:02 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2011-04-02 at 16:28 +0200, Andreas Huber wrote:
> Jonathan has provided a new patch set. (RFC in progress.) 
> 
> And while testing it today an unrelated issue occurred which needs to
> be resolved ...
[...]

I'm not going to spend more time looking at this in detail.  Please let
us know when a complete fix has been accepted upstream.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Sat, 02 Apr 2011 18:12:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Huber <hobrom@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Apr 2011 18:12:11 GMT) Full text and rfc822 format available.

Message #56 received at 619827@bugs.debian.org (full text, mbox):

From: Andreas Huber <hobrom@gmx.at>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 619827@bugs.debian.org
Subject: Re: Bug#619827: linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Sat, 02 Apr 2011 20:01:15 +0200
On 02.04.2011 17:18, Ben Hutchings wrote:
[...]
> I'm not going to spend more time looking at this in detail. Please let
> us know when a complete fix has been accepted upstream.
>
> Ben.
>
Just for clarification, what I think is going wrong  in cx88-mpeg.c,  
it's very simple, see the comments ...

static int cx8802_request_release(struct cx8802_driver *drv)
{
	struct cx88_core *core = drv->core;

	if (drv->advise_release&&  --core->active_ref == 0) // REF COUNT MAY BECOME NEGATIVE !!!!!!
	{
		drv->advise_release(drv);
		core->active_type_id = CX88_BOARD_NONE;
		mpeg_dbg(1,"%s() Post release GPIO=%x\n", __func__, cx_read(MO_GP0_IO));
	}
	
	if(core->active_ref<0) core->active_ref=0; // THIS IS A POSSIBLE FIX !!!!!

	return 0;
}

please review this simple fix!
regards
Andi







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Sat, 02 Apr 2011 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Apr 2011 18:54:03 GMT) Full text and rfc822 format available.

Message #61 received at 619827@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Andreas Huber <hobrom@gmx.at>
Cc: 619827@bugs.debian.org
Subject: Re: Bug#619827: linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Sat, 2 Apr 2011 20:37:15 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 02, 2011 at 08:01:15PM +0200, Andreas Huber wrote:
> please review this simple fix!

Please let us know when a complete fix has been accepted upstream.


Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Wed, 25 May 2011 02:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 May 2011 02:06:03 GMT) Full text and rfc822 format available.

Message #66 received at 619827@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Huber Andreas <hobrom@corax.at>, 619827@bugs.debian.org
Subject: Re: linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Tue, 24 May 2011 21:03:50 -0500
tags 619827 = upstream fixed-upstream
quit

Hi,

Ben Hutchings wrote:
> On Sun, 2011-03-27 at 17:06 +0200, Huber Andreas wrote:

>> Processes that try to open a cx88-blackbird driven MPEG device will hang up.
[...]
> Could you test whether this patch fixes the problem?

Thanks again.  This and related problems should be fixed by

 - 8a317a87 ([media] cx88: protect per-device driver list with device lock)
 - 1fe70e96 ([media] cx88: fix locking of sub-driver operations)
 - 1d6213ab ([media] cx88: hold device lock during sub-driver initialization)
 - 344d6c6b ([media] cx88: protect cx8802_devlist with a mutex)
 - 579b2b45 ([media] cx88: gracefully reject attempts to use unregistered
            cx88-blackbird driver)
 - f4bd4be8 ([media] cx88: don't use atomic_t for core->mpeg_users)

which are as of yesterday part of Linus's "master" branch fwiw.




Added tag(s) fixed-upstream; removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 May 2011 02:06:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Fri, 03 Jun 2011 03:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619827; Package linux-source-2.6.38. (Mon, 06 Jun 2011 01:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Jun 2011 01:09:02 GMT) Full text and rfc822 format available.

Message #75 received at 619827@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Huber Andreas <hobrom@corax.at>, 619827@bugs.debian.org
Subject: Re: linux-source-2.6.38: [linux-dvb] cx88-blackbird broken (since 2.6.37)
Date: Mon, 06 Jun 2011 02:05:08 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2011-05-24 at 21:03 -0500, Jonathan Nieder wrote:
[...]
> Thanks again.  This and related problems should be fixed by
> 
>  - 8a317a87 ([media] cx88: protect per-device driver list with device lock)
>  - 1fe70e96 ([media] cx88: fix locking of sub-driver operations)
>  - 1d6213ab ([media] cx88: hold device lock during sub-driver initialization)
>  - 344d6c6b ([media] cx88: protect cx8802_devlist with a mutex)
>  - 579b2b45 ([media] cx88: gracefully reject attempts to use unregistered
>             cx88-blackbird driver)
>  - f4bd4be8 ([media] cx88: don't use atomic_t for core->mpeg_users)
> 
> which are as of yesterday part of Linus's "master" branch fwiw.

Now also in 2.6.39.1 and queued for 2.6.39-2, thanks.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 08 Jun 2011 10:09:38 GMT) Full text and rfc822 format available.

Notification sent to Huber Andreas <hobrom@corax.at>:
Bug acknowledged by developer. (Wed, 08 Jun 2011 10:09:41 GMT) Full text and rfc822 format available.

Message #80 received at 619827-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 619827-close@bugs.debian.org
Subject: Bug#619827: fixed in linux-2.6 2.6.39-2
Date: Wed, 08 Jun 2011 10:05:58 +0000
Source: linux-2.6
Source-Version: 2.6.39-2

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.39-2.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.39-2.diff.gz
linux-2.6_2.6.39-2.dsc
  to main/l/linux-2.6/linux-2.6_2.6.39-2.dsc
linux-doc-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-doc-2.6.39_2.6.39-2_all.deb
linux-manual-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-manual-2.6.39_2.6.39-2_all.deb
linux-patch-debian-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.39_2.6.39-2_all.deb
linux-source-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-source-2.6.39_2.6.39-2_all.deb
linux-support-2.6.39-2_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-support-2.6.39-2_2.6.39-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619827@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 07 Jun 2011 12:14:05 +0100
Source: linux-2.6
Binary: linux-tools-2.6.39 linux-source-2.6.39 linux-doc-2.6.39 linux-manual-2.6.39 linux-patch-debian-2.6.39 linux-support-2.6.39-2 linux-libc-dev linux-headers-2.6.39-2-all linux-headers-2.6.39-2-all-alpha linux-headers-2.6.39-2-common linux-image-2.6.39-2-alpha-generic linux-headers-2.6.39-2-alpha-generic linux-image-2.6.39-2-alpha-smp linux-headers-2.6.39-2-alpha-smp linux-image-2.6.39-2-alpha-legacy linux-headers-2.6.39-2-alpha-legacy linux-headers-2.6.39-2-all-amd64 linux-image-2.6.39-2-amd64 linux-headers-2.6.39-2-amd64 linux-image-2.6.39-2-amd64-dbg linux-headers-2.6.39-2-all-armel linux-image-2.6.39-2-iop32x linux-headers-2.6.39-2-iop32x linux-image-2.6.39-2-ixp4xx linux-headers-2.6.39-2-ixp4xx linux-image-2.6.39-2-kirkwood linux-headers-2.6.39-2-kirkwood linux-image-2.6.39-2-orion5x linux-headers-2.6.39-2-orion5x linux-image-2.6.39-2-versatile linux-headers-2.6.39-2-versatile linux-headers-2.6.39-2-all-armhf linux-image-2.6.39-2-mx5 linux-headers-2.6.39-2-mx5
 linux-headers-2.6.39-2-all-hppa linux-image-2.6.39-2-parisc linux-headers-2.6.39-2-parisc linux-image-2.6.39-2-parisc-smp linux-headers-2.6.39-2-parisc-smp linux-image-2.6.39-2-parisc64 linux-headers-2.6.39-2-parisc64 linux-image-2.6.39-2-parisc64-smp linux-headers-2.6.39-2-parisc64-smp linux-headers-2.6.39-2-all-i386 linux-image-2.6.39-2-486 linux-headers-2.6.39-2-486 linux-image-2.6.39-2-686-pae linux-headers-2.6.39-2-686-pae linux-image-2.6.39-2-686-pae-dbg linux-headers-2.6.39-2-all-ia64 linux-image-2.6.39-2-itanium linux-headers-2.6.39-2-itanium linux-image-2.6.39-2-mckinley linux-headers-2.6.39-2-mckinley linux-headers-2.6.39-2-all-m68k linux-image-2.6.39-2-amiga linux-headers-2.6.39-2-amiga linux-image-2.6.39-2-atari linux-headers-2.6.39-2-atari linux-image-2.6.39-2-bvme6000 linux-headers-2.6.39-2-bvme6000 linux-image-2.6.39-2-mac linux-headers-2.6.39-2-mac linux-image-2.6.39-2-mvme147 linux-headers-2.6.39-2-mvme147 linux-image-2.6.39-2-mvme16x
 linux-headers-2.6.39-2-mvme16x linux-headers-2.6.39-2-all-mips linux-image-2.6.39-2-r4k-ip22 linux-headers-2.6.39-2-r4k-ip22 linux-image-2.6.39-2-r5k-ip32 linux-headers-2.6.39-2-r5k-ip32 linux-image-2.6.39-2-sb1-bcm91250a linux-headers-2.6.39-2-sb1-bcm91250a linux-image-2.6.39-2-sb1a-bcm91480b linux-headers-2.6.39-2-sb1a-bcm91480b linux-image-2.6.39-2-4kc-malta linux-headers-2.6.39-2-4kc-malta linux-image-2.6.39-2-5kc-malta linux-headers-2.6.39-2-5kc-malta linux-image-2.6.39-2-octeon linux-headers-2.6.39-2-octeon linux-headers-2.6.39-2-all-mipsel linux-image-2.6.39-2-r5k-cobalt linux-headers-2.6.39-2-r5k-cobalt linux-image-2.6.39-2-loongson-2f linux-headers-2.6.39-2-loongson-2f linux-headers-2.6.39-2-all-powerpc linux-image-2.6.39-2-powerpc linux-headers-2.6.39-2-powerpc linux-image-2.6.39-2-powerpc-smp linux-headers-2.6.39-2-powerpc-smp linux-image-2.6.39-2-powerpc64 linux-headers-2.6.39-2-powerpc64 linux-headers-2.6.39-2-all-ppc64 linux-headers-2.6.39-2-all-s390
 linux-image-2.6.39-2-s390x linux-headers-2.6.39-2-s390x linux-image-2.6.39-2-s390x-tape linux-headers-2.6.39-2-all-sh4 linux-image-2.6.39-2-sh7751r linux-headers-2.6.39-2-sh7751r linux-image-2.6.39-2-sh7785lcr linux-headers-2.6.39-2-sh7785lcr linux-headers-2.6.39-2-all-sparc linux-image-2.6.39-2-sparc64 linux-headers-2.6.39-2-sparc64 linux-image-2.6.39-2-sparc64-smp linux-headers-2.6.39-2-sparc64-smp
 linux-headers-2.6.39-2-all-sparc64
Architecture: all source
Version: 2.6.39-2
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 596626 619827 622745 622997 627492 627837 628191 628932 629401
Description: 
 linux-doc-2.6.39 - Linux kernel specific documentation for version 2.6.39
 linux-headers-2.6.39-2-486 - Header files for Linux 2.6.39-2-486
 linux-headers-2.6.39-2-4kc-malta - Header files for Linux 2.6.39-2-4kc-malta
 linux-headers-2.6.39-2-5kc-malta - Header files for Linux 2.6.39-2-5kc-malta
 linux-headers-2.6.39-2-686-pae - Header files for Linux 2.6.39-2-686-pae
 linux-headers-2.6.39-2-all - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-alpha - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-amd64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-armel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-armhf - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-hppa - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-i386 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-ia64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-m68k - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-mips - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-mipsel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-powerpc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-ppc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-s390 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sh4 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sparc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sparc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-alpha-generic - Header files for Linux 2.6.39-2-alpha-generic
 linux-headers-2.6.39-2-alpha-legacy - Header files for Linux 2.6.39-2-alpha-legacy
 linux-headers-2.6.39-2-alpha-smp - Header files for Linux 2.6.39-2-alpha-smp
 linux-headers-2.6.39-2-amd64 - Header files for Linux 2.6.39-2-amd64
 linux-headers-2.6.39-2-amiga - Header files for Linux 2.6.39-2-amiga
 linux-headers-2.6.39-2-atari - Header files for Linux 2.6.39-2-atari
 linux-headers-2.6.39-2-bvme6000 - Header files for Linux 2.6.39-2-bvme6000
 linux-headers-2.6.39-2-common - Common header files for Linux 2.6.39-2
 linux-headers-2.6.39-2-iop32x - Header files for Linux 2.6.39-2-iop32x
 linux-headers-2.6.39-2-itanium - Header files for Linux 2.6.39-2-itanium
 linux-headers-2.6.39-2-ixp4xx - Header files for Linux 2.6.39-2-ixp4xx
 linux-headers-2.6.39-2-kirkwood - Header files for Linux 2.6.39-2-kirkwood
 linux-headers-2.6.39-2-loongson-2f - Header files for Linux 2.6.39-2-loongson-2f
 linux-headers-2.6.39-2-mac - Header files for Linux 2.6.39-2-mac
 linux-headers-2.6.39-2-mckinley - Header files for Linux 2.6.39-2-mckinley
 linux-headers-2.6.39-2-mvme147 - Header files for Linux 2.6.39-2-mvme147
 linux-headers-2.6.39-2-mvme16x - Header files for Linux 2.6.39-2-mvme16x
 linux-headers-2.6.39-2-mx5 - Header files for Linux 2.6.39-2-mx5
 linux-headers-2.6.39-2-octeon - Header files for Linux 2.6.39-2-octeon
 linux-headers-2.6.39-2-orion5x - Header files for Linux 2.6.39-2-orion5x
 linux-headers-2.6.39-2-parisc64 - Header files for Linux 2.6.39-2-parisc64
 linux-headers-2.6.39-2-parisc64-smp - Header files for Linux 2.6.39-2-parisc64-smp
 linux-headers-2.6.39-2-parisc - Header files for Linux 2.6.39-2-parisc
 linux-headers-2.6.39-2-parisc-smp - Header files for Linux 2.6.39-2-parisc-smp
 linux-headers-2.6.39-2-powerpc64 - Header files for Linux 2.6.39-2-powerpc64
 linux-headers-2.6.39-2-powerpc - Header files for Linux 2.6.39-2-powerpc
 linux-headers-2.6.39-2-powerpc-smp - Header files for Linux 2.6.39-2-powerpc-smp
 linux-headers-2.6.39-2-r4k-ip22 - Header files for Linux 2.6.39-2-r4k-ip22
 linux-headers-2.6.39-2-r5k-cobalt - Header files for Linux 2.6.39-2-r5k-cobalt
 linux-headers-2.6.39-2-r5k-ip32 - Header files for Linux 2.6.39-2-r5k-ip32
 linux-headers-2.6.39-2-s390x - Header files for Linux 2.6.39-2-s390x
 linux-headers-2.6.39-2-sb1a-bcm91480b - Header files for Linux 2.6.39-2-sb1a-bcm91480b
 linux-headers-2.6.39-2-sb1-bcm91250a - Header files for Linux 2.6.39-2-sb1-bcm91250a
 linux-headers-2.6.39-2-sh7751r - Header files for Linux 2.6.39-2-sh7751r
 linux-headers-2.6.39-2-sh7785lcr - Header files for Linux 2.6.39-2-sh7785lcr
 linux-headers-2.6.39-2-sparc64 - Header files for Linux 2.6.39-2-sparc64
 linux-headers-2.6.39-2-sparc64-smp - Header files for Linux 2.6.39-2-sparc64-smp
 linux-headers-2.6.39-2-versatile - Header files for Linux 2.6.39-2-versatile
 linux-image-2.6.39-2-486 - Linux 2.6.39 for older PCs
 linux-image-2.6.39-2-4kc-malta - Linux 2.6.39 for MIPS Malta
 linux-image-2.6.39-2-5kc-malta - Linux 2.6.39 for MIPS Malta (64-bit)
 linux-image-2.6.39-2-686-pae-dbg - Debugging infos for Linux 2.6.39-2-686-pae
 linux-image-2.6.39-2-686-pae - Linux 2.6.39 for modern PCs
 linux-image-2.6.39-2-alpha-generic - Linux 2.6.39 for Alpha
 linux-image-2.6.39-2-alpha-legacy - Linux 2.6.39 for Alpha Legacy
 linux-image-2.6.39-2-alpha-smp - Linux 2.6.39 for Alpha SMP
 linux-image-2.6.39-2-amd64-dbg - Debugging infos for Linux 2.6.39-2-amd64
 linux-image-2.6.39-2-amd64 - Linux 2.6.39 for 64-bit PCs
 linux-image-2.6.39-2-amiga - Linux 2.6.39 for Amiga
 linux-image-2.6.39-2-atari - Linux 2.6.39 for Atari
 linux-image-2.6.39-2-bvme6000 - Linux 2.6.39 for BVM BVME4000 and BVME6000
 linux-image-2.6.39-2-iop32x - Linux 2.6.39 for IOP32x
 linux-image-2.6.39-2-itanium - Linux 2.6.39 for Itanium
 linux-image-2.6.39-2-ixp4xx - Linux 2.6.39 for IXP4xx
 linux-image-2.6.39-2-kirkwood - Linux 2.6.39 for Marvell Kirkwood
 linux-image-2.6.39-2-loongson-2f - Linux 2.6.39 for Loongson 2F
 linux-image-2.6.39-2-mac - Linux 2.6.39 for Macintosh
 linux-image-2.6.39-2-mckinley - Linux 2.6.39 for Itanium II
 linux-image-2.6.39-2-mvme147 - Linux 2.6.39 for Motorola MVME147
 linux-image-2.6.39-2-mvme16x - Linux 2.6.39 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.39-2-mx5 - Linux 2.6.39 for Freescale MXC/iMX-based
 linux-image-2.6.39-2-octeon - Linux 2.6.39 for Octeon
 linux-image-2.6.39-2-orion5x - Linux 2.6.39 for Marvell Orion
 linux-image-2.6.39-2-parisc64 - Linux 2.6.39 for 64-bit PA-RISC
 linux-image-2.6.39-2-parisc64-smp - Linux 2.6.39 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.39-2-parisc - Linux 2.6.39 for 32-bit PA-RISC
 linux-image-2.6.39-2-parisc-smp - Linux 2.6.39 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.39-2-powerpc64 - Linux 2.6.39 for 64-bit PowerPC
 linux-image-2.6.39-2-powerpc - Linux 2.6.39 for uniprocessor 32-bit PowerPC
 linux-image-2.6.39-2-powerpc-smp - Linux 2.6.39 for multiprocessor 32-bit PowerPC
 linux-image-2.6.39-2-r4k-ip22 - Linux 2.6.39 for SGI IP22
 linux-image-2.6.39-2-r5k-cobalt - Linux 2.6.39 for Cobalt
 linux-image-2.6.39-2-r5k-ip32 - Linux 2.6.39 for SGI IP32
 linux-image-2.6.39-2-s390x - Linux 2.6.39 for IBM zSeries
 linux-image-2.6.39-2-s390x-tape - Linux 2.6.39 for IBM zSeries, IPL from tape
 linux-image-2.6.39-2-sb1a-bcm91480b - Linux 2.6.39 for BCM91480B
 linux-image-2.6.39-2-sb1-bcm91250a - Linux 2.6.39 for BCM91250A
 linux-image-2.6.39-2-sh7751r - Linux 2.6.39 for sh7751r
 linux-image-2.6.39-2-sh7785lcr - Linux 2.6.39 for sh7785lcr
 linux-image-2.6.39-2-sparc64 - Linux 2.6.39 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.39-2-sparc64-smp - Linux 2.6.39 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.39-2-versatile - Linux 2.6.39 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.39 - Linux kernel API manual pages for version 2.6.39
 linux-patch-debian-2.6.39 - Debian patches to version 2.6.39 of the Linux kernel
 linux-source-2.6.39 - Linux kernel source for version 2.6.39 with Debian patches
 linux-support-2.6.39-2 - Support files for Linux 2.6.39
 linux-tools-2.6.39 - Performance analysis tools for Linux 2.6.39
Changes: 
 linux-2.6 (2.6.39-2) unstable; urgency=low
 .
   [ Ben Hutchings ]
   * [x86] Enable BACKLIGHT_APPLE, replacing BACKLIGHT_MBP_NVIDIA
     (Closes: #627492)
   * cgroups: Disable memory resource controller by default. Allow it
     to be enabled using kernel parameter 'cgroup_enable=memory'.
   * rt2800usb: Enable support for more USB devices including
     Linksys WUSB600N (Closes: #596626) (this change was accidentally
     omitted from 2.6.39-1)
   * [x86] Remove Celeron from list of processors supporting PAE. Most
     'Celeron M' models do not.
   * Update debconf template translations:
     - Swedish (Martin Bagge) (Closes: #628932)
     - French (David Prévot) (Closes: #628191)
   * aufs: Update for 2.6.39 (Closes: #627837)
   * Add stable 2.6.39.1, including:
     - ext4: dont set PageUptodate in ext4_end_bio()
     - pata_cmd64x: fix boot crash on parisc (Closes: #622997, #622745)
     - ext3: Fix fs corruption when make_indexed_dir() fails
     - netfilter: nf_ct_sip: validate Content-Length in TCP SIP messages
     - sctp: fix race between sctp_bind_addr_free() and
       sctp_bind_addr_conflict()
     - sctp: fix memory leak of the ASCONF queue when free asoc
     - md/bitmap: fix saving of events_cleared and other state
     - cdc_acm: Fix oops when Droids MuIn LCD is connected
     - cx88: Fix conversion from BKL to fine-grained locks (Closes: #619827)
     - keys: Set cred->user_ns in key_replace_session_keyring (CVE-2011-2184)
     - tmpfs: fix race between truncate and writepage
     - nfs41: Correct offset for LAYOUTCOMMIT
     - xen/mmu: fix a race window causing leave_mm BUG()
     - ext4: fix possible use-after-free in ext4_remove_li_request()
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.39.1
   * Bump ABI to 2
   * netfilter: Enable IP_SET, IP_SET_BITMAP_IP, IP_SET_BITMAP_IPMAC,
     IP_SET_BITMAP_PORT, IP_SET_HASH_IP, IP_SET_HASH_IPPORT,
     IP_SET_HASH_IPPORTIP, IP_SET_HASH_IPPORTNET, IP_SET_HASH_NET,
     IP_SET_HASH_NETPORT, IP_SET_LIST_SET, NETFILTER_XT_SET as modules
     (Closes: #629401)
 .
   [ Aurelien Jarno ]
   * [mipsel/loongson-2f] Disable_SCSI_LPFC to workaround GCC ICE.
Checksums-Sha1: 
 a5c6bba08e4c44f785fbe61b5e8ee9e0b0ef39cb 5806 linux-2.6_2.6.39-2.dsc
 4769243f02f11e7bd02d290d4009f83747e4d7d6 578659 linux-2.6_2.6.39-2.diff.gz
 8631b1c19660fa882a90f5d006cb832762eb681f 366420 linux-patch-debian-2.6.39_2.6.39-2_all.deb
 4cb02f008f3a2297858be8692cb74068956cae1d 174028 linux-support-2.6.39-2_2.6.39-2_all.deb
 fb03333766d0e0dff8de418db3d3dfb998b2d096 75577082 linux-source-2.6.39_2.6.39-2_all.deb
 19f140b72935da562cd4444fa2610da024f64d9a 6869108 linux-doc-2.6.39_2.6.39-2_all.deb
 ce7a73b0b31c3b07c57abd75305ca05edf75dbe3 3108970 linux-manual-2.6.39_2.6.39-2_all.deb
Checksums-Sha256: 
 667038dcba51ce595a6ec69af992062ed895661616090f13e82b6cdbb65f3169 5806 linux-2.6_2.6.39-2.dsc
 ca01b79327c3a8030e64ad3639f9e417201252e9ed1d8cb181c4794d59056a1f 578659 linux-2.6_2.6.39-2.diff.gz
 47df0218811bdbc61a334c01ea41e73ca4b3828c95cdd6dbb023acb50d8dcec7 366420 linux-patch-debian-2.6.39_2.6.39-2_all.deb
 527bf66a1c84f712fb3ff7fe5aad2af4eadf17e65d3db8970b4db2d961933fd6 174028 linux-support-2.6.39-2_2.6.39-2_all.deb
 b933eca679cd705f2d5066853fca59c4d891f1ae00b3e4163928950291d58528 75577082 linux-source-2.6.39_2.6.39-2_all.deb
 fe41a2298009ecdd59cf8f43a2210a36e2b1d9edd960f0d50be8a6f7b8846c5b 6869108 linux-doc-2.6.39_2.6.39-2_all.deb
 a213675720022125eeac7a1e32b70e25c8a6becd05e33f4e410803319b9516d3 3108970 linux-manual-2.6.39_2.6.39-2_all.deb
Files: 
 0962e7a374c1c6f7f6bc5b7f901540da 5806 kernel optional linux-2.6_2.6.39-2.dsc
 dc26f6efd2390aa7b94a5c4fde3f247e 578659 kernel optional linux-2.6_2.6.39-2.diff.gz
 33d1e6e069da648eadd3a23ca06f2006 366420 kernel optional linux-patch-debian-2.6.39_2.6.39-2_all.deb
 27cf13a746b2eed0cf916379a94c0569 174028 devel optional linux-support-2.6.39-2_2.6.39-2_all.deb
 54efbc4c7d3f7d30b10617c0342bcdc1 75577082 kernel optional linux-source-2.6.39_2.6.39-2_all.deb
 0d1e8c078518b5b87abfd4ef00f7a4af 6869108 doc optional linux-doc-2.6.39_2.6.39-2_all.deb
 4d3128e3aeeeed8296f296ee4b911268 3108970 doc optional linux-manual-2.6.39_2.6.39-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTe7nmOe/yOyVhhEJAQoimRAAg84Ec0xZGM8IerCtojIQb2WKyF7KpxrW
BEomHXU+vfQALjA6nvp8C861bVA2PnAiMwAroq2QRw38VyOAthCTDayliFcWm3cf
iU2qgGAWTyicrB668JHwHQLuO5H6Bph/ysOSfqekfMM+hBOtpTQu+ir0gRCZAXmr
RSY2Uc3Z0S9e9IUUqdRsyWL6EGEkx29rCXITxT+N4lGngETahrGd2qY76ZENVDOk
eYNJ6gkSWSdtleK/4I1Dd7KEaTBo4jgG+CddbBWcDwpnyUuTHH/PThGN2Eu77z/3
2LTcN7teWcoFnIjZFAOu0d/l3Gqbyf9LZsYIBkVmVJ1DJ8Ds7LnTfJItVR2Y2mA+
C29qQ4NBEKIB9zCUPTiaQffcG9yY7k86Xv/ys1AJCeGT1VCM/vj5OH8DKEOujxaN
ydBZfA9jj2nEIjve6XLaTaASCDAGEBUhJJbVWNdu3bgtdoKNA9RW6nxCnuWtqeUg
dsWe9EBQu0pUfeRMlSc7J9XSGXtosx/ZrfhCkLaXj11bMCinH+150yIXCoopHSTT
++acccxjK4aiMajHpryQMMPnnSAIsGDbD3HNvPiAVYT/uaEHDpM9lVrqCjQVYM+M
OilhVCewbu4ecmhSo09twlem1+JsM2jBXbWn7Wo3k/bnc56PTS1BnPoeCzkZ15gG
fU4ValF4G2Y=
=VnB7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jul 2011 07:36:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 19:52:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.